import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';
const width = 960;
const height = 480;
const centerX = width/2;
const centerY = height/2;
const strokeWidth = 5;
const eyeOffsetX = 60;
const eyeOffsetY = 70;
const eyeRadius = 30;


const App = () => (
    <svg width={width} height={height}>
 
    	<circle 
        cx={centerX}
        cy={centerY}
        r={centerY - (strokeWidth / 2)}
        fill="yellow"
        stroke="black"
        strokeWidth={strokeWidth}
      />
    	<ellipse 
    		transform="rotate(0 -30 -120)" 
    		class="eye1a0" 
    		cx={centerX - eyeOffsetX}
    		cy={centerY - eyeOffsetY}
    		rx="30" 
    		ry="50"
        fill="white"
        stroke="black"                 
			/>
    	<ellipse 
    		transform="rotate(0 -30 -120)" 
    		class="eye1a0" 
    		cx={centerX + eyeOffsetX}
    		cy={centerY - eyeOffsetY}
    		rx="30" 
    		ry="50"
        fill="white"
        stroke="black"                 
			/>
      <circle 
        cx={centerX + eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius/4}
        fill="black"
        stroke="black"
      />
      <circle 
        cx={centerX - eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius/4}
        fill="black"
        stroke="black"
			/>
    	<circle 
        cx={centerX + eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius/3}
        fill="black"
        stroke="blue"
        strokeWidth={strokeWidth*2}
      />
      <circle 
        cx={centerX - eyeOffsetX}
        cy={centerY - eyeOffsetY}
        r={eyeRadius/3}
        fill="black"
        stroke="blue"
        strokeWidth={strokeWidth*2}
			/>
      
    	<ellipse 
    		transform="rotate(0 -30 -120)" 
    		class="eye1a0" 
    		cx={centerX}
    		cy={centerY+eyeOffsetY}
    		rx="40" 
    		ry="10"
        fill="darksalmon"
        stroke="black"                 
			/>
    </svg>
  
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);